Page MenuHomePhabricator

Danny_B edit wars with members of multiple projects to enforce his personal preferences of project settings
Closed, DeclinedPublic

Description

https://phabricator.wikimedia.org/project/manage/156/#26625, https://phabricator.wikimedia.org/project/manage/135/#23768 etc.

Please make him stop. Talk didn't help: https://www.mediawiki.org/wiki/User_talk:Danny_B.#Enabling_workboards


There is no question that the workboard on I18n will stay disabled, as no actual member of the project desires a workboard and multiple users dislike it.

Greg's summary of one specific example: workboard on I18n was disabled in February of 2016 by a developer who works on the code base (among other things), presumably after 1) being able to disable workboards was allowed in the UI (it previously was not) and 2) that developer noticing the workboard only had a single column (thus, not used in the traditional sense of a workboard).

Event Timeline

Nemo_bis created this task.Aug 14 2016, 1:56 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptAug 14 2016, 1:56 PM
Danny_B renamed this task from Danny_B edit wars with project members to enforce his personal preferences of project settings to Edit wars on project settings.Aug 14 2016, 2:23 PM
Danny_B added a comment.EditedAug 14 2016, 2:25 PM

Why do you believe the I18n workboard is not being used (when it is enabled)?
Please provide objective reason(s) for not having workboards enabled.
Please provide description how having the I18n workboard enabled (negatively) affects your work with Phabricator.

Thank you.

Danny_B triaged this task as Lowest priority.Aug 14 2016, 6:46 PM

Why do you believe the I18n workboard is not being used (when it is enabled)?
Please provide objective reason(s) for not having workboards enabled.
Please provide description how having the I18n workboard enabled (negatively) affects your work with Phabricator.
Thank you.

And why do you think all Phabricator tags <strong>must</strong> have such workboards? [Citation needed] please!

Nemo_bis raised the priority of this task from Lowest to Needs Triage.Aug 15 2016, 5:16 PM

Why do you believe the I18n workboard is not being used (when it is enabled)?

I think the general idea here is that, if a workboard has just the default column (where all tasks are there), the workboard it's not being used.

I can't imagine any use on seeing a huge and unpaginated list of tasks with a random sort, displayed on a fixed 284px wide column.

Having a list of recent activity of tasks of a project is more valuable in such cases IMHO.

Maybe @Danny_B can provide the counter-argument he's asking here, that is, why he thinks those workboards are being used and how :)

And why do you think all Phabricator tags <strong>must</strong> have such workboards? [Citation needed] please!

I am not going to play this game with you.

Danny_B triaged this task as Lowest priority.Aug 15 2016, 6:04 PM

Maybe @Danny_B can provide the counter-argument he's asking here, that is, why he thinks those workboards are being used and how :)

Counter-arguments are counter-arguments because of containing the word counter which means they are in opposition to something. ;-)

Because @Nemo_bis didn't provide any arguments, I can't unfortunately provide any counter-arguments then...

greg raised the priority of this task from Lowest to Needs Triage.Aug 15 2016, 6:25 PM
greg added a subscriber: greg.

And why do you think all Phabricator tags <strong>must</strong> have such workboards? [Citation needed] please!

I am not going to play this game with you.

Ok, then why does that tag (I18n) need a workboard?

And, neither party invovled (@Danny_B nor @Nemo_bis ) should reset/change this priority as this task is directly about a disagreement between the two of them. That should be done by someone else who can help work through this disagreement (me, right now, but I'm just setting to Needs Triage until more information is gathered).

De-genericizing the title as this task isn't about edit wars in general (that will never be "done", even just in Phabricator, see Wikipedia). This is, again, about a specific case and two specific users.

greg renamed this task from Edit wars on project settings to Edit waring #l18n workboard enable/disable.Aug 15 2016, 6:26 PM
greg updated the task description. (Show Details)

Because @Nemo_bis didn't provide any arguments, I can't unfortunately provide any counter-arguments then...

Fine, but I've provided them in T142935#2554016. I hope that satisfies your questions.

Apart from that, I'm a bit confused as to why you triaged this task as low priority without being assigned to it. You seem to be the target of this task. Can we consider this move a "it is a low priority for you to stop edit warring on phabricator project settings"?

Anyway, I'm not sure if this is the right channel and format to post such requests. Maybe a mailing list would be more relevant? Is there any person that could make him stop those edit wars? This seems to be more a social problem than an actionable task, something that need discussion and probably a general agreement or even policy for other to follow.

greg added a comment.Aug 15 2016, 6:44 PM

Anyway, I'm not sure if this is the right channel and format to post such requests. Maybe a mailing list would be more relevant? Is there any person that could make him stop those edit wars? This seems to be more a social problem than an actionable task, something that need discussion and probably a general agreement or even policy for other to follow.

You're right. Since at the very bottom level, in this specific case, the issue at hand is if I18n has a workboard or not, that is what this task is about now. NOT edit waring/etc.

It is known to the administrators of this Phabricator install (namely @Aklapper of Developer-Advocacy and myself and others from Release-Engineering-Team ) of the general social issues at play here. This task is not the best method of addressing those social issues, as stated.

On-topic for this task is now solely about the the existence of a workboard for I18n, nothing else. If users reading this have opinions on the social issues at play, please feel free to message myself or @Aklapper directly (email preferred).

greg renamed this task from Edit waring #l18n workboard enable/disable to Proposal: Enable #l18n workboard.Aug 15 2016, 6:47 PM
greg updated the task description. (Show Details)
greg added a project: I18n.

The current title of this task is exactly the opposite of what what @Nemo_bis wanted, and what @Liuxinyu970226 awarded the token for. But changing it to Disable #l18n workboard would make this task also as resolved, so I guess it's more a Keep #l18n workboard disabled which is also not really actionable, thus invalid.

greg added a comment.Aug 15 2016, 7:02 PM

The current title of this task is exactly the opposite of what what @Nemo_bis wanted, and what @Liuxinyu970226 awarded the token for. But changing it to Disable #l18n workboard would make this task also as resolved, so I guess it's more a Keep #l18n workboard disabled which is also not really actionable, thus invalid.

Tasks change over time and people's tokens aren't a blocker for those changes. Tokens are not, in reality, used for decision making.

There is obviously a disagreement about the need for a workboard. That needs to be decided with input from the people who use the project (hence adding that project to this task) and by those who help maintain Phabricator project generally.

The current title is actionable, thus this task can stay open and be discussed.

Now, can we get out of the meta-weeds and figure out how to move forward?

Tasks change over time and people's tokens aren't a blocker for those changes. Tokens are not, in reality, used for decision making.

Sorry for not contributing to move forward here, but you're not just changing the meaning of the task, you're requesting the opposite. And I haven't seen nobody requesting to enable the workboard here. Unless otherwise stated, I see @Danny_B actions more a general action for all projects than specific for I18n, like returning them to the "statu quo" before them being disabled because of T89865. The problem here is that it was created as a general task due to a social problem, and repurposing it to be a specific project issue doesn't make sense IMHO. This has lead to a very weird scenario where the history of the task suddenly changes to request the opposite. I don't know if there's any task where this has happened.

It would make more sense to close this task as invalid and create a new one if someone really wants this workboard enabled. Otherwise, I'd find completely reasonable for @Nemo_bis, being listed as the creator of the task and desiring the opposite of the now repurposed task, to simply close it as invalid/declined.

Ok, then why does that tag (I18n) need a workboard?

Sorry, but I am not going to play this game either. I am seeking fair and constructive discussion, and this is not how such discussion looks like.
Non-rhetorical question is not an answer. And I refuse to spin in the endless spiral of unanswered questions reacted by counter-questions.
I asked for reasons, fundation, justification, whatever the proper English word would be, of the disabling several times. Got no reply. I reverted the first disabling and then the discussion should have started by the original actor if he disagreed. It also did not happen.
The ball is not on my side now.

And, neither party invovled (@Danny_B nor @Nemo_bis ) should reset/change this priority as this task is directly about a disagreement between the two of them. That should be done by someone else who can help work through this disagreement (me, right now, but I'm just setting to Needs Triage until more information is gathered).

Fair enough, although some basic priority should be set in any case. And since this was originally Nemo_bis' dispute on my actions, which means involving only two people, that's why I set the lowest priority. (Besides you addressed the same fact in the rest of your post yourself...)

Nemo_bis added a comment.EditedAug 15 2016, 7:20 PM

The i18n workboard is just an example here, please don't turn this report into something else. (Let me know if you can't find other examples, but it shouldn't be too hard.)

Nemo_bis renamed this task from Proposal: Enable #l18n workboard to Danny_B edit wars with members of multiple projects to enforce his personal preferences of project settings.Aug 15 2016, 7:20 PM
Nemo_bis removed a project: I18n.
Nemo_bis updated the task description. (Show Details)Aug 15 2016, 7:23 PM
Nemo_bis updated the task description. (Show Details)Aug 15 2016, 7:26 PM

Because @Nemo_bis didn't provide any arguments, I can't unfortunately provide any counter-arguments then...

Fine, but I've provided them in T142935#2554016. I hope that satisfies your questions.

Not really (but thank you though at least for that, better than Nemo_bis' silence). You wrenched one question out of context(*) of three tightly binded questions. They must be answered together, because separating them changes the status quo.

(*) That's what Google translate says, if not understandable, I can try to rephrase.

Apart from that, I'm a bit confused as to why you triaged this task as low priority without being assigned to it.

Answered in T142935#2554767.

Can we consider this move a "it is a low priority for you to stop edit warring on phabricator project settings"?

Please refrain from such non-constructive sarcastic contributions. And obviously AGF.

Anyway, I'm not sure if this is the right channel and format to post such requests.

Hence my priority setting as described in T142935#2554767.

Is there any person that could make him stop those edit wars?

For any war there must be always at least two parties... It is not unary action.

Nemo_bis updated the task description. (Show Details)Aug 15 2016, 7:40 PM
demon added a subscriber: demon.Aug 15 2016, 7:41 PM

I suggest everyone involved here take a really REALLY deep breath and walk away from the keyboard for a bit.

demon removed a subscriber: demon.Aug 15 2016, 7:41 PM

I apologize, but I have to refrain from continuing in further discussion until some purely neutral, non-POV, non-slandering and non-defamatory task title is set.

While I had a constructive approach and will to discuss in peace, I can see only destructive and under-waist activities from the opposite side of the disputation.

I am not going to feed that.

We can remove "to enforce his personal preferences of project settings", but "Danny_B edit wars with members of multiple projects" is a fact.

My thoughts:

  1. Workboards with a single default column, and many hundreds of tasks within, are usually not what I want to arrive it. It is more helpful to arrive at a description page, which ideally points me towards where I should be looking. (E.g. MediaWiki-Email )
  2. However, I am frustrated when I visit a tag, and have no easy way to browse/search through tasks that are connected to it.
  3. I think the "Open tasks" link, that someone has kindly added to the sidebar at https://phabricator.wikimedia.org/tag/i18n/ is an excellent compromise. I've now replicated that idea at https://phabricator.wikimedia.org/tag/mediawiki-email/ and https://phabricator.wikimedia.org/tag/flow/ (which also don't use or want (respectively) multicolumn workboards)
    • I would recommend adding that sidebar link, for any #tag that doesn't have developers actively and regularly triaging the tasks within a workboard into multiple columns.
valhallasw added a subscriber: valhallasw.EditedAug 16 2016, 8:05 AM
  1. Workboards with a single default column, and many hundreds of tasks within, are usually not what I want to arrive it. It is more helpful to arrive at a description page, which ideally points me towards where I should be looking. (E.g. MediaWiki-Email )

The default page can be configured independently from the workboard (via settings > edit menu > click the pin icon). In other words, the workboard can be enabled, while the description page is still the page you view when you click the project name. See for example Tool-Gerrit-Patch-Uploader .

Aklapper closed this task as Declined.Nov 17 2016, 5:18 PM

I have not seen any such edits recently hence I don't see this issue existing anymore.
Not sure if that means "resolved" or "declined" for this task though.

Regarding discussing and documenting actions, this is pretty much covered by T142904 IMO.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 17 2016, 5:18 PM